Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Plant(s) Road Permit Permit# 2020-02234, UID# 2801
App. Status: Expired

Valid: 06/01/2020 - 06/04/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2515 (05/29/2020)

Charge Cost Quantity Total
Non-Taxable
added 05/29/2020 1:24 PM

Fee for over width permit

$30.00 x 1 $30.00
added 05/29/2020 1:21 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 05/29/2020 1:24 PM

For movement on Plant Road

$60.00 x 1 $60.00
Grand Total
Total $120.00
Payment 05/29/2020$120.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantNicholas W. Lietzke - 05/29/2020 12:31 PM
d530fbdc3b6bc1ce1c42b7bc6f98a16b
6e09c5dabbd442f82f0589f806804119
 
#1 Permit Issuing OfficialRachel Grimm - 05/29/2020 1:25 PM
686e65de63b859c6cb1ed2d3eecc825e
5dac66bdc65c083a7549ca646559f901
 
Permit has been approved. All signatures have been obtained.